Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# CIAO::Static_NodeApplicationManager_Impl Class Reference

`#include <NodeApplicationManager_Impl.h>`

Inheritance diagram for CIAO::Static_NodeApplicationManager_Impl:

[legend]
Collaboration diagram for CIAO::Static_NodeApplicationManager_Impl:

[legend]
List of all members.

## Public Member Functions
| Static_NodeApplicationManager_Impl (CORBA::ORB_ptr o, PortableServer::POA_ptr p, Static_Config_EntryPoints_Maps *static_config_entrypoints_maps)
| Constructor.
virtual PortableServer::ObjectId | init (const char *nodeapp_location, const char *nodeapp_options, const CORBA::ULong delay, const Deployment::DeploymentPlan &plan, const PortableServer::POA_ptr callback_poa, NodeManager_Impl_Base *nm ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, Deployment::InvalidProperty)
## Protected Member Functions
virtual | ~Static_NodeApplicationManager_Impl (void)
| Destructor.
virtual Deployment::NodeApplication_ptr | create_node_application (const ACE_CString &options ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, Deployment::ResourceNotAvailable, Deployment::StartError, Deployment::InvalidProperty)
| Internal help function to create new NodeApplicationProcess.
## Protected Attributes
Static_Config_EntryPoints_Maps * | static_config_entrypoints_maps_
CIAO::NoOp_Configurator | configurator_

## Constructor & Destructor Documentation

CIAO::Static_NodeApplicationManager_Impl::Static_NodeApplicationManager_Impl | ( | CORBA::ORB_ptr | o,
|  | PortableServer::POA_ptr | p,
|  | Static_Config_EntryPoints_Maps * | static_config_entrypoints_maps
| ) |

| Constructor.

CIAO::Static_NodeApplicationManager_Impl::~Static_NodeApplicationManager_Impl | ( | void |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

Deployment::NodeApplication_ptr CIAO::Static_NodeApplicationManager_Impl::create_node_application | ( | const ACE_CString &options | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException, Deployment::ResourceNotAvailable, Deployment::StartError, Deployment::InvalidProperty)`[protected, virtual]`

| Internal help function to create new NodeApplicationProcess. Implements CIAO::NodeApplicationManager_Impl_Base.

PortableServer::ObjectId CIAO::Static_NodeApplicationManager_Impl::init | ( | const char * | nodeapp_location,
|  | const char * | nodeapp_options,
|  | const CORBA::ULong | delay,
|  | const Deployment::DeploymentPlan & | plan,
|  | const PortableServer::POA_ptr | callback_poa,
|  | NodeManager_Impl_Base *nm | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw (CORBA::SystemException, Deployment::InvalidProperty)`[virtual]`

  | A factory operation to create NodeApplicationManager interface, and return the object reference. Initialize the NodeApplicationManager. The current implementation of CIAO_NodeApplicationManager can only activate CIAO's own NodeApplication processes. You should specify the location (pathname) of the NodeApplication and the delay. CIAO_NodeApplicationManager should wait (in second) for NodeApplication to call back. Parameters:
  | nodeapp_location | A null-termiated char * string pointing to the pathname of a NodeApplication executable.
  | nodeapp_options | A null-terminated char * string containing command line options to be passed to the NodeApplication.
  | delay | instructs how long (in second) a CIAO_NodeApplicationManager should wait for a newly spawned NodeApplication to pass back its IOR.
  | plan | has all the information needed for the NodeAppManager to construct the application locally. Note, this includes the properties of the NodeApplication. For example, ORB config options etc.
  | callback_poa | contains child poa created for the callback interface.
nm Pointer to the NodeManager_Impl servant object Returns: NodeApplicationManager_ptr. Implements CIAO::NodeApplicationManager_Impl_Base.

## Member Data Documentation

CIAO::NoOp_Configurator CIAO::Static_NodeApplicationManager_Impl::configurator_`[protected]`

Static_Config_EntryPoints_Maps* CIAO::Static_NodeApplicationManager_Impl::static_config_entrypoints_maps_`[protected]`

The documentation for this class was generated from the following files:

- NodeApplicationManager_Impl.h
- NodeApplicationManager_Impl.cpp